package com.objis.democamel.simple ;

import org.apache.camel.CamelContext;
import org.apache.camel.impl.DefaultCamelContext;
import org.apache.camel.builder.RouteBuilder;

public class DemoRouteCamel {
	public static void main(String[] args) throws Exception {
		// 1. Cration contexte Camel
		CamelContext context = new DefaultCamelContext(); 
		
		// 2. Ajout d'une Route dans le contexte.
		context.addRoutes(new RouteBuilder() {
			public void configure() {
				//from("file:d:/dev/camel/in").to("file:d:/dev/camel/out");				
				from("file:d:/dev/camel/in")
					.choice()
			        .when().simple("${file:name.ext} == 'txt' ")
			            .to("file:d:/dev/camel/out/txt")
			        .when().simple("${file:name.ext} == 'xml' ")
			            .to("file:d:/dev/camel/out/xml")
			        .otherwise()
			            .to("file:d:/dev/camel/out/other");
			}
		});
		// 3. Dmarrage puis arrt du contexte
		context.start();
		Thread.sleep(1000000);
		context.stop();
	}
}
